s=1:(se_os-se);
t= se+1:se_os;
f1=['01/07/2008'; '01/09/2008'; '03/11/2008'; '02/02/2009'; '01/04/2009'; '01/06/2009'; '03/08/2009'];
date_find1=datenum(f1,'dd/mm/yyyy');
index=datefind(date_find1,date(se+1:se_os)); 
figure;
plot(s',garch_1s_for,'r-','LineWidth',2); hold on; plot(s',garch_for,'r--','LineWidth',1.5); hold on;
plot(s',es_std_1s_for,'b-','LineWidth',2); hold on; plot(s',es_std_for,'b--','LineWidth',1.5);
title('GARCH(1,1): Volatility forecast','fontname','Garamond','fontsize',16);
set(gca,'fontname','garamond','fontsize',12);
set(gca,'xtick',index,'xlim',[1 rows(t')]);
set(gca,'xticklabel','Jul2008|Sep2008|Nov2008|Feb2009|Apr2009|Jun2009|Aug2009|');
set(gca,'YGrid','on')
set(gca,'XGrid','on')
%grid;
ylabel(' volatility (%)');
set(gcf,'color','w');
legend('GARCH 1-step ahead','GARCH n-step ahead','ES 1-step ahead','ES n-step ahead',4);
set(gca,'Box', 'off', 'TickDir', 'out', 'TickLength', [.02 .02],'XMinorTick', 'off','YMinorTick', 'off','XColor', [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth', 1, 'FontName', 'Times');
