label=strvcat(' Simulated Returns', ' Simulated Standardized Residuals');     %These are useful labels to be applied to the top of your plots
figure;
subplot(1,2,1)
    qqplot(RET3(:,1));
    set(gca,'fontname','garamond','fontsize',13);
    set(gcf,'color','w');
    tit=strcat(' QQ-plot Simulated NGARCH: ',label(1,:));
    title(tit);
    set(gca,'ylim',[-0.05 0.05]);
subplot(1,2,2)
    qqplot(RET3(:,2));
    set(gca,'fontname','garamond','fontsize',13);
    set(gcf,'color','w');
    tit=strcat(' QQ-plot Simulated NGARCH: ',label(2,:));
    title(tit);
    set(gca,'ylim',[-5 5]);