function VaR=VaR_compute(confidence_level, miu, sigma)
% miu and sigma are the time-varying mean and std deviation of the portfolio


VaR=NaN(size(miu));
for i=1:rows(VaR)
    VaR(i)=norminv(1-confidence_level,miu(i),sigma(i));
end

