function [sumloglik] = logL1_asym(df,ret,sigma)

y=ret./sigma;
s=sigma;
d1=df(1);
d2=df(2);

[r,c]=size(y);
logL=NaN(r,1);

C=gamma((d1+1)/2)./(gamma(d1/2).*sqrt(pi.*(d1-2)));
A=4.*d2.*C.*(d1-2./d1-1);
B=sqrt(1+3.*(d2.^2)-(A.^2));

logC=log(C);
logB=log(B);

%logC=gammaln((d1+1)/2)-gammaln(d1/2)-0.5*log(pi)-0.5*log(d1-2);
%logB=0.5.*log(1+3.*(d2.^2)-(A.^2));

for i=1:r
    
if y(i,:)<-(A./B)
    logL(i,1)=logB+logC-((1+d1)./2).*(log(1+((((B.*y(i,1)+A).^2))./(((1-d2).*(d1-2))))));
    
else
    logL(i,1)=logB+logC-((1+d1)./2).*(log(1+((((B.*y(i,1)+A).^2))./(((1+d2).*(d1-2))))));
    
end
end

    sumloglik=-sum(logL);
  