t=ss:se;
s=1:T;
f1=['03/01/2006'; '30/06/2006'; '01/01/2007'; '29/06/2007'; '01/01/2008'; '30/06/2008'];
date_find1=datenum(f1,'dd/mm/yyyy');
index=datefind(date_find1,date(ss:se)); 
figure;
plot(s',GARCHsigma,'b',s',GJRsigma,'r',s',EGARCHsigma,'g', 'LineWidth',1.5);
title('standardized returns','fontname','Garamond','fontsize',16);
set(gca,'fontname','garamond','fontsize',12);
set(gca,'xtick',index,'xlim',[1 rows(t')]);
set(gca,'xticklabel','Jan2006|Jun2006|Jan2007|Jun2007|Jan2008|Jun2008|');
set(gca,'YGrid','on')
set(gca,'XGrid','on')
%grid;
ylabel('volatility (%)');
set(gcf,'color','w');
legend('GARCH','GJR','EGARCH',3);
set(gca,'Box', 'off', 'TickDir', 'out', 'TickLength', [.02 .02],'XMinorTick', 'off','YMinorTick', 'off','XColor', [.3 .3 .3],'YColor',[.3 .3 .3],'LineWidth', 1, 'FontName', 'Times');
